%{?nodejs_find_provides_and_requires}

%global packagename wrap-fn
# tests disabled due to missing dependencies
%global enable_tests 0

Name:		nodejs-wrap-fn
Version:	0.1.5
Release:	3%{?dist}
Summary:	Support sync, async, and generator functions

License:	MIT
URL:		https://github.com/matthewmueller/wrap-fn
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(co)

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Support sync, async, and generator functions


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

# create the license file from the license section of Readme.md
sed -e '0,/^## License/d' Readme.md > LICENSE.md

%nodejs_fixdep co

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc Readme.md History.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Mar 06 2017 Jared Smith <jsmith@fedoraproject.org> - 0.1.5-3
- Relax version of npm(co)

* Sat Feb 25 2017 Jared Smith <jsmith@fedoraproject.org> - 0.1.5-2
- Fix missing BuildRequire

* Mon Aug  8 2016 Jared Smith <jsmith@fedoraproject.org> - 0.1.5-1
- Initial packaging
